/*
 * $Id: cilk-sequential.h,v 1.2 1997/02/26 15:33:23 fengmd Exp $
 */

/*
 * $Log: cilk-sequential.h,v $
 * Revision 1.2  1997/02/26 15:33:23  fengmd
 * abort is defined as empty in cilk-sequential.h, C_abort is added in cilk-lib.h,
 * assert is defined as CILK_ASSERT in cilk-compat.h
 *
 * Revision 1.1.1.1  1997/02/14 23:07:14  strumpen
 * Create Cilk Repository
 *
 * Revision 1.1.1.1  1997/02/14 22:04:31  strumpen
 * Create cilk repository
 *
 * Revision 1.3  1997/02/07 23:08:28  randall
 * A couple more small changes.
 *
 * Revision 1.2  1997/02/03 19:36:02  randall
 * Added inlet to cilk-sequential.h
 *
 * Revision 1.1  1996/12/19 00:34:59  athena
 * Parallelized the FFT program, at last.  Added support for executions
 * *without* the rts.
 *
 */

/*
 * Copyright (c) 1996 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to use, copy, modify, and distribute the Software without
 * restriction, provided the Software, including any modified copies made
 * under this license, is not distributed for a fee, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE MASSACHUSETTS INSTITUTE OF TECHNOLOGY BE LIABLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * Except as contained in this notice, the name of the Massachusetts
 * Institute of Technology shall not be used in advertising or otherwise
 * to promote the sale, use or other dealings in this Software without
 * prior written authorization from the Massachusetts Institute of
 * Technology.
 *  
 */

/*
 * This header file allows to run a Cilk program without the Cilk
 * runtime system.  (it is usually slower without Cilk :-)
 * This file is a hack, but it usually works.
 */

#ifndef _CILK_SEQUENTIAL_H
#define _CILK_SEQUENTIAL_H

#include <cilk-conf.h>
#include <malloc.h>

#include CILK_ARCH_H

#define cilk
#define spawn
#define sync
#define inlet
#define abort
#define cilk_main main
#define Cilk_malloc malloc
#define Cilk_free free
#define Cilk_memalign memalign
#define Cilk_calloc calloc
#define Cilk_valloc valloc
#define Cilk_realloc realloc
#define Cilk_rand rand
#define Cilk_srand srand

/* no work/cp, of course */
#define Cilk_user_work ((Cilk_time) 0)
#define Cilk_user_critical_path ((Cilk_time) 0)
#define Cilk_active_size (1)

#define Self (0)

#endif				/* _CILK_SEQUENTIAL_H */
